﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using System.Linq;
using System.Net;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.Management;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Profile;
using System.Web.Security;

namespace KendoTest1.Infrastructure
{
	public static class Helpers
	{
		#region "Public Static Methods"

		public static string ResolveFileLocation(HttpRequestBase Request, string FileName)
		{
			string result = FileName;

			string[] files = Directory.GetFiles(Request.PhysicalApplicationPath, FileName, SearchOption.AllDirectories);

			if (files.Length > 0)
			{
				result = files[0];
			}

			return (result);
		}

		#endregion "Public Static Methods"

		#region "Public Helper Methods"

		public static string WebProjectPath(this HtmlHelper helper, string ProjectPath)
		{
			string result = ProjectPath;

			if (result.StartsWith("~/"))
			{
				if (helper.ViewContext.RequestContext.HttpContext.Request.ApplicationPath != "/")
				{
					result = result.Replace("~", helper.ViewContext.RequestContext.HttpContext.Request.ApplicationPath);
				}
				else
				{
					result = result.Substring(1);
				}
			}

			return (result);
		}

		public static string WebProjectPath(this AjaxHelper helper, string ProjectPath)
		{
			string result = ProjectPath;

			if (result.StartsWith("~/"))
			{
				if (helper.ViewContext.RequestContext.HttpContext.Request.ApplicationPath != "/")
				{
					result = result.Replace("~", helper.ViewContext.RequestContext.HttpContext.Request.ApplicationPath);
				}
				else
				{
					result = result.Substring(1);
				}
			}

			return (result);
		}

		#endregion "Public Helper Methods"
	}
}